function DATAinsert = cellMakerBL(IDcentralina,DTcatena,NodeNum,ListaDate,...
                    ARRAYdateBL,BaroDef,BaroDefT,ErrBaroLink)

l = ListaDate;
DATAinsert = cell(l,8);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateBL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateBL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = BaroDef(ii,1);
    DATAinsert{ii,7} = BaroDefT(ii,1);
    DATAinsert{ii,8} = ErrBaroLink(1,ii);
end

end